<script>
  import back from "../../plugins/axios";
  import SvelteMarkdown from "svelte-markdown";

  let description = "";
  let alert = "";
  let success = "";

  back.get("/website/event_description/after").then((res) => {
    description = res.data.event_description;
    console.log(description);
  });

  function update() {
    back
      .put("/website/event_description/after", { description: description })
      .then((res) => {
        if (res.status == 200) {
          description = res.data.event_description;
          success = "La description de l'évènement a été mise à jour.";
        } else {
          alert = "Une erreur est survenue";
        }
        setTimeout(() => {
          success = "";
          alert = "";
        }, 5000);
      });
  }
</script>

<div class="w-full h-full max-w-md items-center self-center">
  <form
    class="bg-secondary h-full shadow-md items-center rounded px-8 pt-6 pb-8 mb-4"
    on:submit|preventDefault={update}
  >
    <!-- alert & success -->
    {#if alert}
      <div
        class="bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded relative mt-2 mb-2"
        role="alert"
      >
        <strong class="font-bold">Erreur !</strong>
        <span class="block sm:inline">{alert}</span>
      </div>
    {/if}
    {#if success}
      <div
        class="bg-green-100 border border-green-400 text-green-700 px-4 py-3 rounded relative mt-2 mb-2"
        role="alert"
      >
        <strong class="font-bold">Succès !</strong>
        <span class="block sm:inline">{success}</span>
      </div>
    {/if}
    <div class="mb-4">
      <label class="block text-gray-700 text-sm font-bold mb-2" for="name">
        Description de l'évènement (après-coup) :
      </label>
      <textarea
        class="shadow appearance-none border rounded w-full h-56 py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
        id="name"
        placeholder={description}
        bind:value={description}
      />
    </div>
    <div class="mb-4">
      <label class="block text-gray-700 text-sm font-bold mb-2" for="name">
        Aperçu :
      </label>
      {#if description}
        <SvelteMarkdown source={description} />
      {/if}
    </div>
    <div class="flex items-center justify-between">
      <button
        class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline"
        type="button"
        on:click={update}
      >
        Envoyer
      </button>
    </div>
  </form>
</div>
